|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QMotifStyle Class Reference

The QMotifStyle class provides Motif look and feel. More...

    #include <QMotifStyle>

Part of the QtGui module.

Inherits QCommonStyle.

Inherited by QCDEStyle, QMotifPlusStyle, and QSGIStyle.

- List of all members, including inherited members

### Public Functions

- QMotifStyle ( bool useHighlightCols = false )
- virtual ~QMotifStyle ()
- void setUseHighlightColors ( bool arg )
- virtual QPalette standardPalette ()
- bool useHighlightColors () const

- 21 public functions inherited from QStyle
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QMotifStyle class provides Motif look and feel.

This class implements the Motif look and feel. It closely resembles the original Motif look as defined by the Open Group, but with some minor improvements. The Motif style is Qt's default GUI style on UNIX platforms.

Most of the functions are documented in the base classes, QCommonStyle and QStyle, but the functions overloaded by QMotifStyle, drawComplexControl(), drawControl(), drawPrimitive(), subControlRect(), setUseHighlightColors(), sizeFromContents(), subElementRect(), and useHighlightColors(), are documented here.

## Member Function Documentation

### QMotifStyle::QMotifStyle ( bool useHighlightCols = false )

Constructs a QMotifStyle.

If useHighlightCols is false (the default), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QMotifStyle::~QMotifStyle () `[virtual]`

Destroys the style.

### void QMotifStyle::setUseHighlightColors ( bool arg )

If arg is false, the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

The effect will show up the next time an application palette is set via QApplication::setPalette(). The current color palette of the application remains unchanged.

See also QStyle::polish().

### QPalette QMotifStyle::standardPalette () `[virtual]`

### bool QMotifStyle::useHighlightColors () const

Returns true if the style treats the highlight colors of the palette in a Motif-like manner, which is a simple inversion between the base and the text color; otherwise returns false. The default is false.